Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.controls.generic
Interface ContentControlBase<T extends com.bea.apps.groupspace.content.ContentBase,V extends com.bea.apps.groupspace.folders.FolderBase>

All Known Subinterfaces:
  AnnouncementsControl, CM_Control<T>, CmBrowserControl, CmBrowserFoldersControl, FeedEntriesControl, FeedFoldersControl, FoldersControl, FoldersControlBase<T,V>, GroupSpaceContentControl<T>, GsDocControl, IssuesControl, LinksControl, RichTextControl, SavedSearchControl

    public interface ContentControlBase<T extends com.bea.apps.groupspace.content.ContentBase,V extends com.bea.apps.groupspace.folders.FolderBase>

Copyright (c) 2005-2006 by BEA Systems, Inc. All Rights Reserved.

Defines general operations for dealing with CM content.

This class is meant to be used OUTSIDE of a GroupSpace community, since it will bypass GroupSpace security/role mappings

Declarative instantiation (`@Control fooControl;`) from a PageFlow or from another control is the preferred method of instantiating controls (as this will supply the control a proper Control Container Context (CCC)). Should the control be instantiated programmatically, from a different context or with an application scope (rather than webapp), extra measures should be taken:

- Application Scoped Control - must use `AppScopedControlsFactory` to obtain the CCC
- Backing File Controls - must create custom CCC to use controls from a backing file
- Servlet Test Case Controls - must include `ControlFilter` in web.xml

Nested Class Summary
`static class` | `ContentControlBase.NodeSearchType`
`static interface` | `ContentControlBase.Params`

Method Summary
`com.bea.content.ObjectClass` | `createObjectClass()` Creates an ObjectClass for the given control
`Set<T>` | `createObjects(com.bea.content.Node[] nodes)` Create a collection of things of type T from an array of Nodes
`Set<T>` | `createObjects(Set<com.bea.content.Node> nodes)` Create a collection of things of type T from a set of Nodes
`T` | `findById(String nodeIdString)` Find an item of type T based on its Node ID.
`com.bea.apps.groupspace.content.ContentBase` | `findContentById(String nodeIdString)` Find ANY item based on its Node ID.
`com.bea.p13n.pagination.SortableFilterablePagedResult<T>` | `findMany(String expression, String[] searchPaths)` Retrieve a set of things based on properties in an expression.
`com.bea.p13n.pagination.SortableFilterablePagedResult<T>` | `findMany(String expression, String[] searchPaths, com.bea.content.expression.SortCriteria[] sortCriteria)` Retrieve a set of things based on properties in an expression.
`com.bea.p13n.pagination.SortableFilterablePagedResult<T>` | `findManyChildren(String expression)`
`List<com.bea.content.PropertyDefinition>` | `getAllPropertyDefinitions()`
`String` | `getDefaultStringValue(String propertyName)`
`V` | `getFolder(com.bea.content.ID folderId)` Get Folder of type V of the Node with the supplied ID.
`Set<com.bea.apps.groupspace.content.ContentBase>` | `getImmediateChildren(V parentFolder, ContentControlBase.NodeSearchType type)` Get the immediate children of this item as a set.
`Set<com.bea.apps.groupspace.content.ContentBase>` | `getImmediateChildren(V parentFolder, com.bea.content.expression.SortCriteria[] sortCriteria, ContentControlBase.NodeSearchType type)` Get the immediate children of this item as a set.
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.apps.groupspace.content.ContentBase>` | `getImmediateChildrenAsPagedResult(com.bea.content.Node node, com.bea.content.expression.SortCriteria[] sortCriteria, ContentControlBase.NodeSearchType hierarchySearchType)` Get the immediate children of this item as a paged result.
`com.bea.content.ObjectClass` | `getObjectClass()` Return the object class associated with the thing T
`V` | `getTopFolder()` Get the top-level node of each data type (eg, top Links folder)
`com.bea.content.Node` | `getTopNode()` Get the top-level node of each data type (eg, top Links folder)
`T` | `move(com.bea.content.ID source, com.bea.content.ID newParent)` Move Node identified by source ID to destination specified by newParent ID
`T` | `move(String source, String newParent)` Move Node identified by source id string to destination specified by newParent id string
`void` | `remove(com.bea.content.Node node)` Remove the node
`void` | `remove(Set<T> things)` Remove the Set of things T
`void` | `remove(T thing)` Remove the thing T
`void` | `removeAll()` Remove all
`void` | `update(Set<T> things)` Update a Set of existing things
`void` | `update(T thing)` Update an existing thing

Method Detail

### createObjects

    Set<T> createObjects(com.bea.content.Node[] nodes)
                                                                             throws com.bea.content.AuthorizationException

  Create a collection of things of type T from an array of Nodes

  Throws
    `com.bea.content.AuthorizationException`

### createObjects

    Set<T> createObjects(Set<com.bea.content.Node> nodes)
                                                                             throws com.bea.content.AuthorizationException

  Create a collection of things of type T from a set of Nodes

  Throws
    `com.bea.content.AuthorizationException`

### createObjectClass

    com.bea.content.ObjectClass createObjectClass()
                                                  throws com.bea.content.NoSuchNodeException,
                                                         com.bea.content.RepositoryException,
                                                         com.bea.content.AuthorizationException

  Creates an ObjectClass for the given control

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### getObjectClass

    com.bea.content.ObjectClass getObjectClass()
                                               throws com.bea.content.AuthorizationException,
                                                      com.bea.content.NoSuchObjectClassException,
                                                      com.bea.content.RepositoryException

  Return the object class associated with the thing T

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchObjectClassException`

### getTopNode

    com.bea.content.Node getTopNode()
                                    throws com.bea.content.RepositoryException,
                                           com.bea.content.AuthorizationException

  Get the top-level node of each data type (eg, top Links folder)

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### getFolder

    V getFolder(com.bea.content.ID folderId)
                                                                   throws com.bea.content.AuthorizationException,
                                                                          com.bea.content.NoSuchNodeException,
                                                                          com.bea.content.RepositoryException

  Get Folder of type V of the Node with the supplied ID.

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### findManyChildren

    com.bea.p13n.pagination.SortableFilterablePagedResult<T> findManyChildren(String expression)
                                                                                                                                  throws com.bea.content.AuthorizationException,
                                                                                                                                         com.bea.content.NoSuchNodeException,
                                                                                                                                         com.bea.content.RepositoryException

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### findMany

    com.bea.p13n.pagination.SortableFilterablePagedResult<T> findMany(String expression,
                                                                      String[] searchPaths)
                                                                                                                          throws com.bea.content.AuthorizationException,
                                                                                                                                 com.bea.content.NoSuchNodeException,
                                                                                                                                 com.bea.content.RepositoryException

  Retrieve a set of things based on properties in an expression. Returns null if none are found.

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### findMany

    com.bea.p13n.pagination.SortableFilterablePagedResult<T> findMany(String expression,
                                                                      String[] searchPaths,
                                                                      com.bea.content.expression.SortCriteria[] sortCriteria)
                                                                                                                          throws com.bea.content.RepositoryException,
                                                                                                                                 com.bea.content.AuthorizationException

  Retrieve a set of things based on properties in an expression. Returns null if none are found.

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### update

    void update(T thing)
                throws com.bea.content.NoSuchNodeException,
                       com.bea.content.RepositoryException,
                       com.bea.content.AuthorizationException

  Update an existing thing

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps AuthenticationException, NoSuchPropertyException, InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, IOException
    `com.bea.content.NoSuchNodeException`

### update

    void update(Set<T> things)
                throws com.bea.content.NoSuchNodeException,
                       com.bea.content.RepositoryException,
                       com.bea.content.AuthorizationException

  Update a Set of existing things

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps AuthenticationException, NoSuchPropertyException, InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, IOException
    `com.bea.content.NoSuchNodeException`

### getTopFolder

    V getTopFolder()
                                                                      throws com.bea.content.RepositoryException,
                                                                             com.bea.content.AuthorizationException

  Get the top-level node of each data type (eg, top Links folder)

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### removeAll

    void removeAll()
                   throws com.bea.content.RepositoryException,
                          com.bea.content.AuthorizationException

  Remove all

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### remove

    void remove(T thing)
                throws com.bea.content.RepositoryException,
                       com.bea.content.AuthorizationException

  Remove the thing T

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps AuthenticationException

### remove

    void remove(com.bea.content.Node node)
                throws com.bea.content.RepositoryException,
                       com.bea.content.AuthorizationException

  Remove the node

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps AuthenticationException

### remove

    void remove(Set<T> things)
                throws com.bea.content.RepositoryException,
                       com.bea.content.AuthorizationException

  Remove the Set of things T

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps AuthenticationException

### getImmediateChildren

    Set<com.bea.apps.groupspace.content.ContentBase> getImmediateChildren(V parentFolder,
                                                                          ContentControlBase.NodeSearchType type)
                                                                          throws com.bea.content.AuthorizationException,
                                                                                 com.bea.content.NoSuchNodeException,
                                                                                 com.bea.content.RepositoryException

  Get the immediate children of this item as a set. Returns null if none are found.

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getImmediateChildren

    Set<com.bea.apps.groupspace.content.ContentBase> getImmediateChildren(V parentFolder,
                                                                          com.bea.content.expression.SortCriteria[] sortCriteria,
                                                                          ContentControlBase.NodeSearchType type)
                                                                          throws com.bea.content.AuthorizationException,
                                                                                 com.bea.content.NoSuchNodeException,
                                                                                 com.bea.content.RepositoryException

  Get the immediate children of this item as a set. Returns null if none are found.

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### getImmediateChildrenAsPagedResult

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.apps.groupspace.content.ContentBase> getImmediateChildrenAsPagedResult(com.bea.content.Node node,
                                                                                                                                         com.bea.content.expression.SortCriteria[] sortCriteria,
                                                                                                                                         ContentControlBase.NodeSearchType hierarchySearchType)
                                                                                                                                         throws com.bea.content.AuthorizationException,
                                                                                                                                                com.bea.content.NoSuchNodeException,
                                                                                                                                                com.bea.content.RepositoryException

  Get the immediate children of this item as a paged result. Returns null if none are found. returns a collection of both types T & V

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

### move

    T move(com.bea.content.ID source,
           com.bea.content.ID newParent)
                                                               throws com.bea.content.NoSuchNodeException,
                                                                      com.bea.content.RepositoryException,
                                                                      com.bea.content.AuthorizationException

  Move Node identified by source ID to destination specified by newParent ID

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException` - throws ControlException - unchecked exception that wraps AuthenticationException

### move

    T move(String source,
           String newParent)
                                                               throws com.bea.content.NoSuchNodeException,
                                                                      com.bea.content.RepositoryException,
                                                                      com.bea.content.AuthorizationException

  Move Node identified by source id string to destination specified by newParent id string

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException` - throws ControlException - unchecked exception that wraps AuthenticationException

### findById

    T findById(String nodeIdString)
                                                                   throws com.bea.content.RepositoryException,
                                                                          com.bea.content.AuthorizationException

  Find an item of type T based on its Node ID. Throws NoSuchNodeException if nothing is found.

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### findContentById

    com.bea.apps.groupspace.content.ContentBase findContentById(String nodeIdString)
                                                                throws com.bea.content.RepositoryException,
                                                                       com.bea.content.AuthorizationException

  Find ANY item based on its Node ID. Throws NoSuchNodeException if nothing is found.

  Throws
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException` - throws ControlException - unchecked exception that wraps InstantiationException, IllegalAccessException, InvocationTargetException, NodeMapper.NodeMapperException, AuthenticationException, NoSuchNodeException

### getAllPropertyDefinitions

    List<com.bea.content.PropertyDefinition> getAllPropertyDefinitions()
                                                                       throws com.bea.content.AuthorizationException,
                                                                              com.bea.content.NoSuchObjectClassException,
                                                                              com.bea.content.RepositoryException

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchObjectClassException`
    `com.bea.content.RepositoryException`

### getDefaultStringValue

    String getDefaultStringValue(String propertyName)
                                 throws com.bea.content.RepositoryException

  Throws
    `com.bea.content.RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved